# The "View2Datasets" Widget

This widget provides a control for viewing two datasets.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

View2Datasets_ResourceNames | List of resource names for View2Datasets widget
View2Datasets_Resources | List of resources for View2Datasets widget

#### Functions

XkwView2DatasetsRegisterDataset | Register a dataset.
XkwView2DatasetsInvalidatePlane | Register the change in data of a plane.
XkwView2DatasetsInvalidateAll | Register the change in data of a dataset.
XkwView2DatasetsCanvasEventHandler | Event handler provided by View2Datasets widget.

## Tables

View2Datasets_ResourceNames List of resource names for View2Datasets widget

Name | Purpose
XkwNcursorChangeCallback | Callbacks when cursor moves
XkwNwmtitle | The base title string to place above the window
XkwNverbose | If TRUE verbose output is displayed

View2Datasets_Resources List of resources for View2Datasets widget

Name | Class | Rep. Type | Default
XkwNcursorCallback | XtCCallback | XtRCallback | NULL
XkwNcreateAtInit | XkwCCreateAtInit | XtRBool | FALSE
XkwNverbose | XkwCVerbose | XtRBool | False
XkwNwmtitle | XkwCWMtitle | XtRString | NULL

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

flag XkwView2DatasetsRegisterDataset (Widget W, iarray pseudo, double min, double max, iarray red, iarray green, iarray blue, unsigned int set_number)

Register a dataset.

Parameters:

- W : The widget.
- pseudo : The PseudoColour dataset (i.e. single-channel). This may be NULL.
- min : The minimum (unscaled) value in the PseudoColour dataset.
- max : The maximum (unscaled) value in the PseudoColour dataset.
- red : The red component dataset. This may be NULL.
- green : The green component dataset. This may be NULL.
- blue : The blue component dataset. This may be NULL.
- set_number : The dataset number. This may be 0 or 1.

Returns: TRUE on success, else FALSE.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwView2DatasetsInvalidatePlane (Widget W, unsigned int set_number, unsigned int dim_index, unsigned long plane_index)

Register the change in data of a plane.

Parameters:

- W : The widget.
- set_number : The dataset number. This may be 0 or 1.
- dim_index : The dimension index of the plane.
- plane_index : The index along the specified dimension.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwView2DatasetsInvalidateAll (Widget W, unsigned int set_number)

Register the change in data of a dataset.

Parameters:

- W : The widget.
- set_number : The dataset number. This may be 0 or 1.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

flag XkwView2DatasetsCanvasEventHandler (ViewableImage vimage, double x, double y, void *value, unsigned int event_code, void *e_info, void **f_info, double x_lin, double y_lin, unsigned int value_type, double x_im, double y_im, int x_pix, int y_pix)

This routine is a position event consumer for a world canvas which has a number of ViewableImage objects associated with it.

Parameters:

- viewimg : The active viewable image.
- x : The horizontal world co-ordinate of the event.
- y : The vertical world co-ordinate of the event. These values will have been transformed by the registered transform function (see canvas_register_transform_func ) for the associated world canvas.
- value : A pointer to the data value in the viewable image corresponding to the event co-ordinates.
- event_code : The arbitrary event code.
- e_info : The arbitrary event information.
- f_info : The arbitrary function information pointer.
- x_lin : The linear horizontal world co-ordinate (the co-ordinate prior to the transform function being called).
- y_lin : The linear vertical world co-ordinate (the co-ordinate prior to the transform function being called).
- value_type : The type of the data value. This may be K_DCOMPLEX or
- x_im : The horizontal image pixel co-ordinate. 0.0 is the pixel centre.
- y_im : The vertical image pixel co-ordinate. 0.0 is the pixel centre.
- x_pix : The horizontal screen pixel co-ordinate.
- y_pix : The vertical screen pixel co-ordinate. K_UB_RGB.

Returns: FALSE indicating that the event is still to be processed.
Multithreading Level: Unsafe

Back to Karma Home Page